micro_utils.dokka
0.15.1

# MapperReadKeyValuesRepo

open class MapperReadKeyValuesRepo<FromKey, FromValue, ToKey, ToValue>(to: ReadKeyValuesRepo<ToKey, ToValue>, mapper: MapperRepo<FromKey, FromValue, ToKey, ToValue>) : ReadKeyValuesRepo<FromKey, FromValue> , MapperRepo<FromKey, FromValue, ToKey, ToValue>

## Constructors

MapperReadKeyValuesRepo
Link copied to clipboard
fun <FromKey, FromValue, ToKey, ToValue> MapperReadKeyValuesRepo(to: ReadKeyValuesRepo<ToKey, ToValue>, mapper: MapperRepo<FromKey, FromValue, ToKey, ToValue>)

## Functions

contains
Link copied to clipboard
open suspend override fun contains(k: FromKey): Boolean
open suspend override fun contains(k: FromKey, v: FromValue): Boolean
count
Link copied to clipboard
open suspend override fun count(): Long
open suspend override fun count(k: FromKey): Long
get
Link copied to clipboard
open suspend override fun get(k: FromKey, pagination: Pagination, reversed: Boolean): PaginationResult<FromValue>
getAll
Link copied to clipboard
open suspend fun getAll(reverseLists: Boolean = false): Map<FromKey, List<FromValue>>

WARNING!!! THIS METHOD PROBABLY IS NOT EFFICIENT, USE WITH CAUTION

open suspend fun getAll(k: FromKey, reversed: Boolean = false): List<FromValue>
keys
Link copied to clipboard
open suspend override fun keys(pagination: Pagination, reversed: Boolean): PaginationResult<FromKey>
open suspend override fun keys(v: FromValue, pagination: Pagination, reversed: Boolean): PaginationResult<FromKey>
toInnerKey
Link copied to clipboard
open suspend override fun ToKey.toInnerKey(): FromKey
toInnerValue
Link copied to clipboard
open suspend override fun ToValue.toInnerValue(): FromValue
toOutKey
Link copied to clipboard
open suspend override fun FromKey.toOutKey(): ToKey
toOutValue
Link copied to clipboard
open suspend override fun FromValue.toOutValue(): ToValue

## Properties

keyMapper
Link copied to clipboard
open override val keyMapper: SimpleSuspendableMapper<FromKey, ToKey>
valueMapper
Link copied to clipboard
open override val valueMapper: SimpleSuspendableMapper<FromValue, ToValue>

## Extensions

cached
Link copied to clipboard
fun <Key, Value> ReadKeyValuesRepo<Key, Value>.cached(kvCache: KVCache<Key, List<Value>>): ReadKeyValuesCacheRepo<Key, Value>
fun <Key, Value> ReadKeyValuesRepo<Key, Value>.cached(kvCache: FullKVCache<Key, List<Value>>): FullReadKeyValuesCacheRepo<Key, Value>
withMapper
Link copied to clipboard
inline fun <FromKey, FromValue, ToKey, ToValue> ReadKeyValuesRepo<ToKey, ToValue>.withMapper(mapper: MapperRepo<FromKey, FromValue, ToKey, ToValue>): ReadKeyValuesRepo<FromKey, FromValue>
inline fun <FromKey, FromValue, ToKey, ToValue> ReadKeyValuesRepo<ToKey, ToValue>.withMapper(noinline keyFromToTo: suspend FromKey.() -> ToKey = { this as ToKey }, noinline valueFromToTo: suspend FromValue.() -> ToValue = { this as ToValue }, noinline keyToToFrom: suspend ToKey.() -> FromKey = { this as FromKey }, noinline valueToToFrom: suspend ToValue.() -> FromValue = { this as FromValue }): ReadKeyValuesRepo<FromKey, FromValue>